=== taglib-extras/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/audible
    ${CMAKE_CURRENT_SOURCE_DIR}/rmff
)

add_definitions(${TAGLIB_CFLAGS})

add_subdirectory( audible )
add_subdirectory( rmff )

set(libtagrealmedia_SRCS
	rmff/rmff.cpp
	rmff/realmediafile.cpp
	rmff/realmediafiletyperesolver.cpp
)

set(libtagaudible_SRCS
	audible/audibleproperties.cpp
	audible/audibletag.cpp
	audible/audiblefile.cpp
	audible/audiblefiletyperesolver.cpp
	)


########### next target ###############

set(tag-extras_LIB_SRCS
        tfile_helper.cpp
        ${libtagaudible_SRCS}
        ${libtagrealmedia_SRCS}
)

add_library(tag-extras SHARED ${tag-extras_LIB_SRCS})

set_target_properties(tag-extras PROPERTIES
        VERSION ${TAGLIB-EXTRAS_LIB_MAJOR_VERSION}.${TAGLIB-EXTRAS_LIB_MINOR_VERSION}.${TAGLIB-EXTRAS_LIB_PATCH_VERSION}
        SOVERSION ${TAGLIB-EXTRAS_LIB_MAJOR_VERSION}
        INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
        DEFINE_SYMBOL MAKE_TAGLIB_EXTRAS_LIB
)

target_link_libraries(tag-extras ${TAGLIB_LIBRARIES} ${KDE_LIBRARIES})
if(WIN32)
   target_link_libraries(tag-extras ws2_32)
endif(WIN32)

########### install files ###############
install(TARGETS tag-extras
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    ARCHIVE DESTINATION  ${LIB_INSTALL_DIR}
)

install( FILES  taglib-extras_export.h tfile_helper.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib-extras)
