=== taglib-extras/rmff/CMakeLists.txt ===
INSTALL( FILES  realmediafiletyperesolver.h realmediafile.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib-extras )
