=== debian/changelog ===
taglib-extras (1.0.1-5) unstable; urgency=high

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, libtag1-dev and
      pkg-kde-tools.

  [ Boyuan Yang ]
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Add missing build-dep zlib1g-dev. (Closes: #997285)

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Oct 2021 17:16:43 -0400

taglib-extras (1.0.1-4) unstable; urgency=medium

  * Take over package maintenance with ITS process.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v12.
    + Update Vcs-* fields to use git packaging repo under Salsa
      multimedia-team group.
    + Update package description with respect to supported media
      formats. (Closes: #613150)
  * debian/README.source: Dropped, useless now.
  * debian/watch: Monitor download.kde.org upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Apr 2020 16:28:30 -0400

taglib-extras (1.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with taglib >= 1.10, patch from Stuart Prescott (Closes:
    #840329)

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 04 Nov 2016 22:47:26 +0500

taglib-extras (1.0.1-3) unstable; urgency=low

  * Remove DMUA field from debian/control. I'm a DD now.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Change my maintainer address to @debian.org one.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Switch to 3.0 (quilt) source package format.
  * Drop topgit support from debian/rules.
  * Support parallel building: pass --parallel to dh.

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Nov 2010 17:59:00 +0200

taglib-extras (1.0.1-2) unstable; urgency=medium

  * Build depend on taglib 1.6.
  * Urgency medium, fixes FTBFSes on mips and sparc.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 30 Sep 2009 18:38:40 +0300

taglib-extras (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Fix download URL in debian/copyright.
  * Add debian/watch.
  * Update debian/libtag-extras1.symbols: new symbols exported.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 22 Sep 2009 01:00:14 +0300

taglib-extras (1.0.0-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 21 Sep 2009 22:47:12 +0300

taglib-extras (1.0.0-1) experimental; urgency=low

  * New upstream release.
  * libtag-extras soname was bumped:
    - rename libtag-extras0 package to libtag-extras1;
    - update install files;
    - update symbols file.
  * Bump Standards-Version to 3.8.3: no changes needed.
  * Update debian/copyright.
  * Switch packaging license to LGPL-2.1+.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 17 Sep 2009 22:55:58 +0300

taglib-extras (0.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 03 Aug 2009 10:19:42 +0300

taglib-extras (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2. No changes needed.
  * Update README.source.
  * Make use of debhelper 7.3 cmake support:
    - build depend on debhelper 7.3;
    - drop debian/debhelper/cmake.mk;
    - simplify debian/rules.
  * Switch to dpkg-dev 1.15.3 compatible symbol file format:
    - build depend on dpkg-dev 1.15.3;
    - debian/rules: no longer use pkgkde-symbolshelper.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 25 Jul 2009 12:43:59 +0300

taglib-extras (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 12 Jun 2009 21:33:13 +0300

taglib-extras (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Update libtag-extras0 symbols file.
  * Use current version for shlibs bumping of libtag-extras0.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 02 May 2009 20:40:12 +0300

taglib-extras (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream fixed licensing issues, the library is LGPL-2.1 now.
    Update debian/copyright.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 07 Apr 2009 09:48:16 +0300

taglib-extras (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #521625).

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 29 Mar 2009 05:45:12 +0300
