=== debian/control ===
Source: taglib-extras
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libtag1-dev,
 pkg-kde-tools,
 zlib1g-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/taglib-extras.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib-extras

Package: libtag-extras-dev
Section: libdevel
Architecture: any
Depends:
 libtag-extras1 (= ${binary:Version}),
 ${misc:Depends},
 ${sameVersionDep:libtag1-dev},
Description: TagLib extras library - development files
 This package contains development files needed to build applications using
 TagLib extras library. This library implements reading and editing tags of a
 couple extra media file formats which are not supported by the core TagLib
 Audio Meta-Data Library (taglib). Currently supported file formats are
 Audible and RealMedia.

Package: libtag-extras1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: TagLib extras library - support for more file formats
 This package contains a library which implements reading and editing tags of a
 couple extra media file formats which are not supported by the core TagLib
 Audio Meta-Data Library (taglib). Currently supported file formats are
 Audible and RealMedia.
