=== debian/watch ===
version=3

https://download.kde.org/stable/taglib-extras/1.0.1/src/taglib-extras-(.*).tar.gz
